Doomsday Engine - Feature #2405

Per-model FOV for rendering psprite models
2020-01-22 20:32 - skyjake

Status: Closed Start date: 2020-01-22
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 23

Description

Instead of the default fixed FOV for psprites, there should be an option for the model asset definition to override the FOV with a
custom value. This allows authoring 3D models for a specific appearance, for instance to match 2D sprites more accurately.

Related issues:
Related to Feature #2358: Fixed FOV for rendering weapon models
Related to Feature #2379: HUD Weapon FOV 4:3 adaptation

Closed
Closed

2019-12-01
2019-12-24

Associated revisions

Revision e58a089f - 2020-02-23 10:18 - skyjake

Renderer|Models: Per-model FOV for rendering psprite models

IssuelD #2405

History

#1 - 2020-01-22 20:37 - skyjake
- Related to Feature #2358: Fixed FOV for rendering weapon models added

#2 - 2020-01-22 20:38 - skyjake
- Related to Feature #2379: HUD Weapon FOV 4:3 adaptation added

#3 - 2020-02-23 10:18 - skyjake
- Status changed from New to Resolved

- % Done changed from 0 to 100

#4 - 2020-02-23 10:42 - skyjake

Documented the "fov" variable: https:/manual.dengine.net/assets/model#common_metadata_for_models

#5 - 2020-12-08 08:27 - skyjake

- Status changed from Resolved to Closed
